#
# spec file for package ghc-rebase
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name rebase
Name:           ghc-%{pkg_name}
Version:        1.0.8.1
Release:        4.1
Summary:        A more progressive alternative to the "base" package
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-base-prelude-devel
BuildRequires:  ghc-bifunctors-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-contravariant-devel
BuildRequires:  ghc-contravariant-extras-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-dlist-devel
BuildRequires:  ghc-either-devel
BuildRequires:  ghc-fail-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-profunctors-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-semigroupoids-devel
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-uuid-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-void-devel

%description
This package is intended for those who are tired of keeping long lists of
dependencies to the same essential libraries in each package as well as the
endless imports of the same APIs all over again. It also supports the modern
tendencies in the language.

To solve those problems this package does the following:

* Reexport the original APIs under the "Rebase" namespace.

* Export all the possible non-conflicting symbols from the "Rebase.Prelude"
module.

* Give priority to the modern practices in the conflicting cases.

The policy behind the package is only to reexport the non-ambiguous and
non-controversial APIs, which the community has obviously settled on.
The package is intended to rapidly evolve with the contribution from the
community, with the missing features being added with pull-requests.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files

%changelog
* Thu Aug 17 2017 psimons@suse.com
- Update to version 1.0.8.1.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Feb  5 2017 psimons@suse.com
- Update to version 1.0.8 with cabal2obs.
* Tue Nov 29 2016 psimons@suse.com
- Update to version 1.0.6 with cabal2obs.
* Mon Nov 14 2016 psimons@suse.com
- Update to version 1.0.3 with cabal2obs.
* Thu Oct 27 2016 psimons@suse.com
- Update to version 1.0.2.1 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 1 revision 0 with cabal2obs.
